Bug 1301917 - TripleO Install from ISO fails with "An unknown error has occurred" (OSCAP)
TripleO Install from ISO fails with "An unknown error has occurred" (OSCAP)
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: ISO Installer (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity high
: TP2
: 1.0
Assigned To: John Matthews
Dave Johnson
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 06:39 EST by Thom Carlin
Modified: 2016-04-29 12:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2016-01-26 06:39:19 EST
Description of problem:

Booting Triple O ISO results in "An unknown error has occurred" popup window.

Version-Release number of selected component (if applicable):

RHCIOOO-7-RHEL-7-20160125.3

How reproducible:

10)%

Steps to Reproduce:
1. Boot from specific Triple O ISO
2.
3.

Actual results:

Error popup 

Expected results:

Successful install

Additional info:

anaconda 19.31.123-1 exception report
Traceback (most recent call first):
  File "/usr/share/anaconda/addons/org_fedora_oscap/common.py", line 216, in run_oscap_remediate
    raise OSCAPaddonError(msg)
  File "/usr/share/anaconda/addons/org_fedora_oscap/ks/oscap.py", line 386, in execute self.postinst-tailoring_path, chroot=ROOT_PATH)
File "/usr/lib64/python2.7/site-packages/pyanaconda/addons.py", line 84, in execute[...]
OSCAPaddonError: Content evaluation and remediation with the oscap tool failed: I/O error: /root/openscap_data:1: parser error: Document is empty

^
/root/openscap_data:1: parser_error: Start tag expected, '<' not found
[...]

"/mnt/sysimage/root/openscap_data" is an empty directory.
Comment 3 John Matthews 2016-01-27 07:02:36 EST
Issue is that the 'oscap-anaconda-addon' package was being installed, this was causing a breakage near %post of the ISO install. (unsure on why breakage occurred).

OpenSCAP add-on in Anaconda, is something new in RHEL 7.2 more info below:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/7.2_Release_Notes/installation_and_booting.html

The reason for why 'oscap-anaconda-addon' was being installed on RCM ISOs but not on our engineering ISOs we believe is related to a line in Lorax.

/usr/share/lorax/runtime-install.tmpl

The RCM version had this line: installpkg oscap-anaconda-addon

Our Engineering Build machine does not have this line.
https://gist.github.com/anonymous/4f3b595b38fe8b3f7976

More output from discussion with jboggs:

<jboggs> -bash-4.2$ diff -Naur /usr/share/lorax/runtime-install.tmpl /tmp/1
<jboggs> --- /usr/share/lorax/runtime-install.tmpl 2015-09-02 20:07:37.000000000 -0400
<jboggs> +++ /tmp/1 2016-01-26 21:29:52.717077151 -0500
<jboggs> @@ -149,7 +149,6 @@
<jboggs>
<jboggs> ## addons
<jboggs> installpkg kexec-tools-anaconda-addon
<jboggs> -installpkg oscap-anaconda-addon
<jboggs>
<jboggs> ## actually install all the requested packages
<jboggs> run_pkg_transaction
Comment 5 Antonin Pagac 2016-01-27 08:29:00 EST
I'm not seeing it with newest build, marking as verified.

RHCI-6.0-RHEL-7-20160126.7-RHCI-x86_64-dvd1.iso
RHCIOOO-7-RHEL-7-20160126.2-RHCIOOO-x86_64-dvd1.iso

Note You need to log in before you can comment on or make changes to this bug.